wiki:RepositoryHookSystemPlugin/MultipleRepositorySupport

Version 1 (modified by olemis, 3 years ago) (diff)

Discussion on how to upgrade RepositoryHookSystemPlugin so as to make it compatible with Trac>=0.12 and trac:wiki:MultipleRepositorySupport

Managing hooks in environments linked to multiple repositories

Below you'll find a discussion about the options to consider in order to upgrade RepositoryHookSystemPlugin to be compatible with Trac>=0.12 and trac:wiki:MultipleRepositorySupport .

Per-repository hook configuration

TBD

Per-project hook configuration

TBD

Feature matrix

The grid below presents the features needed to achieve the goal mentioned in this document . In each case you'll see how (+) and (-) are used to highlight pros and cons .

Feature General notes Per-repository hooks config Per-project hooks config